import { Component, OnInit } from '@angular/core';

import { Router } from '@angular/router';
import { NavController } from '@ionic/angular';
@Component({
  selector: 'app-place',
  templateUrl: './place.page.html',
  styleUrls: ['./place.page.scss'],
})
export class PlacePage implements OnInit {

  constructor(private navCtrl: NavController) {}

  search() {
    // this.router.navigate(['/blank-page']); // 替换成你的空白页面路由路径
    // 导航到空白页面
    console.log('Navigating to Blank page');
  }

  goToBlankPage() {
    // 处理显示更多城市的逻辑
    console.log('显示更多城市');
  }

  ngOnInit() {
  }

}
